source("Functions/CraftAndImputeTrain.R")
source("Functions/CraftAndImputePredict.R")


if(section == "train"){
    trainSetMethod <- CraftAndImputeTrain(trainSet) 
    return(trainSetMethod)
    
} else if(section == "predict" ){
    testSetMethod <- CraftAndImputePredict(trainSet,testSet)
    return(testSetMethod)
} else if(section == "predict_ooSample"){
    trainSetMethod <- CraftAndImputeTrain(trainSet)
    testSetMethod <- CraftAndImputePredict(trainSet,testSet)
    return(list(test = testSetMethod%>% arrange(HY_id),
                 train = trainSetMethod%>% arrange(HY_id)))
}