source("Functions/CraftAndImputeTrain.R")
source("Functions/CraftAndImputePredict.R")

allDfEncoded <- dummy_cols(rbind(trainSet,testSet),remove_most_frequent_dummy = T)
if(section == "train"){
    trainSetMethod <- CraftAndImputeTrain(allDfEncoded %>% filter(HY_id %in% trainSet$HY_id)) 
    return(trainSetMethod)
    
} else if(section == "predict" ){
    testSetMethod <- CraftAndImputePredict(allDfEncoded %>% filter(HY_id %in% trainSet$HY_id),
                                           allDfEncoded %>% filter(HY_id %in% testSet$HY_id))
    testSetMethod <- testSetMethod %>% filter(HY_id %in% testSet$HY_id)
    
    return(testSetMethod)
} else if(section == "predict_ooSample"){
    trainSetMethod <- CraftAndImputeTrain(allDfEncoded %>% filter(HY_id %in% trainSet$HY_id))
    testSetMethod <- CraftAndImputePredict(allDfEncoded %>% filter(HY_id %in% trainSet$HY_id),
                                           allDfEncoded %>% filter(HY_id %in% testSet$HY_id)) %>% 
        filter(HY_id %in% testSet$HY_id)
    return(testSetMethod)
}