
vars <- c("TARGET", "HY_provincia", "HY_tipo", "HY_metros_totales", "HY_num_banos", "HY_num_terrazas",
          "HY_ascensor", "HY_trastero", "HY_num_garajes", "HY_precio","N_Quincenas", "DiffPerc_Precio", 
          "Precio_m2","Page_View_Per_Qincena")
if(section == "train"){
    trainSetMethod <- foldMethodList$models_0$baseCraft[[nm]] %>% 
        select(-HY_id)
    trainSetMethod %<>% select(one_of(vars), contains("Tiene"), contains("GA")) #, contains("GA")
    
    trainSetMethod %<>% na.omit() 
    
    # lmModel <- lm(formula = TARGET ~  Precio_m2 + HY_metros_totales, data = trainSetMethod, 
    #               na.action = na.exclude)
    rlm <-  train( form = TARGET ~ Precio_m2 + HY_metros_totales + GA_page_views + GA_exit_rate,
                   metric = "MAE",
                   maxit=30,
                   data = trainSetMethod,
                   method = "rlm",
                   # preProc = c("center", "scale"),
                   # tuneLength = 15,
                   ## added:
                   # trControl = ctrl, 
                   verbose=T
    )
    return(rlm)
    
} else if(section == "predict" ){
    testSetMethod <-foldPredsList$models_0$baseCraft[[nm]] %>% 
        select(-HY_id) %>% 
        select(TARGET, everything()) %>% select(one_of(vars), contains("Tiene"), contains("GA"))
    model <- allCVMethodListBaseModels[[cf]]$models_1$rlm[[nm]]
    
    predictions <- predict(model, testSetMethod)
    return(predictions)
    
} else if(section == "predict_ooSample"){
    browser()
    testSetMethod <- ooSamplePredsList$models_0$baseCraft[[nm]]$test
    testSetMethod <- testSetMethod %>% 
        select(-HY_id) %>% select(TARGET, everything()) %>% select(one_of(vars), contains("Tiene"), contains("GA"))
    
    trainSetMethod <- ooSamplePredsList$models_0$baseCraft[[nm]]$train
    trainSetMethod <- trainSetMethod %>% 
        select(-HY_id) %>% 
        select(TARGET, everything()) %>% select(one_of(vars), contains("Tiene"), contains("GA")) %>% na.omit()
    # ctrl <- trainControl(method = "repeatedcv", repeats = 3) 
    rlm <-  train(
        TARGET ~ .,
        data = trainSetMethod,
        method = "rlm",
        # preProc = c("center", "scale"),
        # tuneLength = 15,
        ## added:
        trControl = ctrl
    )
    
    predictions <- predict(rlm, testSetMethod)
    
    
}
