# La mediana de los modelos base agrupados segun la funcion de agrupacion definida 
# para sumarizar los nModels(sera o mediana o media)

if(section == "predict_ooSample"){
    if(nm==nModels){
        procDf <- ooSamplePredsList[[2]] %>%
            map_dfr(~ .x  %>% map(~ ifelse(.x < 0, 0, .x)), .id="Model") %>% select(Model, Observation, everything()) %>% 
            mutate(FinalPred = pmap_dbl(select(.,-Model,-Observation), lift_vd(nModelsReduceFunction)))
        predictions <- procDf  %>% group_by(Observation) %>% summarise(Median = median(FinalPred))
        
        return(predictions %>% arrange(Observation) %>% pull(Median))
    }  
} 