
# Fijamos la seccion, variable que marcara el comportamiento de los diferentes algoritmos(methods)
section = "predict"
foldPredsList <- vector("list",length(baseMethodsByLevel)) %>% set_names(names(baseMethodsByLevel))

# Bucle de niveles

for(ml in seq_along(baseMethodsByLevel)){
    
    methods <- baseMethodsByLevel[[ml]]
    foldPredsList[[ml]]<- vector("list",length(methods)) %>% set_names(methods)
    
    # Bucle de methods por nivel
    for(method in methods){
        
        nModelsPredsList <- vector("list",length = nModels) %>% set_names(1:nModels)
        nModelsPredsList[["Observation"]] <- testSet$HY_id
        
        # Bucle de nModesl por cada method(algortimo)
        for(nm in 1:nModels){
            
            # Llamada al algoritmo correspondiente para predecir
            nModelsPredsList[[nm]] <- MethodSwitch(method)
            
        }
        
        # Vamos guardando las predicciones de cada method, el cual contiene nModels predicciones de cada modelo.
        foldPredsList[[ml]][[method]] %<>% append(nModelsPredsList)
    }
}

