
# Fijamos la seccion, variable que marcara el comportamiento de los diferentes algoritmos(methods)
section = "predict_ooSample"
ooSamplePredsList <- vector("list",length(baseMethodsByLevel)) %>% set_names(names(baseMethodsByLevel))

# Bucle de niveles
for(ml in seq_along(baseMethodsByLevel)){
    
    methods <- baseMethodsByLevel[[ml]]
    ooSamplePredsList[[ml]]<- vector("list",length(methods)) %>% set_names(methods)
    
    # Bucle de methods por nivel
    for(method in methods){
        
        nModelsPredsList <- vector("list",length = nModels) %>% set_names(as.character(1:nModels))
        if(ml==3)nModelsPredsList <- vector("list")
        nModelsPredsList[["Observation"]] <- testSet$HY_id %>% sort()
        
        # Bucle de nModesl por cada method(algortimo). Los de nivel 3 solo se ejecutan en el nm==nModels,
        # para poder ver todas las predicciones en los diferentes methods y nModels (aprendiendo de su variabilidad...)
        for(nm in 1:nModels){
            if(ml==3){
                nm <- nModels
                # Llamada al algoritmo correspondiente en modo ooSample, que entrena y predice
                nModelsPredsList$Stack <- MethodSwitch(method)
            }else{
            seed <- seed + nm
            nModelsPredsList[[nm]] <- MethodSwitch(method)
            }
        }
        
        # En este metodo ooSample el cada algoritmo entrena y predice, sacando como output las predicciones
        # unicamente, que son guardadas en ooSamplePredsList
        ooSamplePredsList[[ml]][[method]] %<>% append(nModelsPredsList)
    }
}

