# Llamado desde train, predict y predictooSample, entra en cada metodo o algoritmo.

MethodSwitch <- function(method){
    
   value <-  switch(method,
           # Level 0 
           "outlierPro" = source("Functions/Model_0_OutlierPro.R"),
           "base" = source("Functions/Model_0_Base.R"),
           "baseCraft" = source("Functions/Model_0_CraftNew.R"),
           "baseCraft_OneHot" = source("Functions/Model_0_CraftNew_OneHot.R"),
           
           # Level 1
           "meanGroupedNaive" = source("Functions/MeanGroupedNaive.R"),
           
           "svm" = source("Functions/Model_1_svm.R"),
           "svm_optim" = source("Functions/Model_1_svm_optim.R"),
           "rlm" = source("Functions/Model_1_RLM.R"),
           "lms" = source("Functions/Model_1_lms.R"),
           "bayesreg" = source("Functions/Model_1_bayesreg.R"),
           "splines" = source("Functions/Model_1_Splines.R"),
           
           "abcrf" = source("Functions/Model_1_ABCRF.R"),
           "xgb_tunned" = source("Functions/Model_1_XGB_Tuned.R"),
           "xgb_tunned_hoptim" = source("Functions/Model_1_XGB_TunedCustomFunction_hoptim.R"),
           "xgb_tunned_onehot" = source("Functions/Model_1_XGB_TunedCustomFunction_oneHot.R"),
           "xgb_tunnedCustomInteractions" = source("Functions/Model_1_XGB_TunedCustomFunction_Interactions.R"),
           "xgb_tunnedCustomExpExp" = source("Functions/Model_1_XGB_TunedCustomFunctionExpExp.R"),
           "xgb_tunnedCustomFair" = source("Functions/Model_1_XGB_TunedCustomFunctionFair.R"),
           "xgb_tunnedCustom_outliers" = source("Functions/Model_1_XGB_TunedCustomFunction_Outliers.R"),
           "xgb_tunnedCustom" = source("Functions/Model_1_XGB_TunedCustomFunction.R"),
           "xgb_tunnedCustom_newCraft" = source("Functions/Model_1_XGB_TunedCustomFunction_NewCraft.R"),
           
           "catboost" = source("Functions/Model_1_CatBoost.R"),
           "catboost_newCraft" = source("Functions/Model_1_CatBoost_newCraft.R"),
           
           # Level 2
           "meanNaive" = source("Functions/MeanNaive.R"),
           "stack_mean" = source("Functions/Model_2_Mean.R"),
           "stack_median" = source("Functions/Model_2_Median.R"),
           "stack_rlm" = source("Functions/Model_2_RLM.R")
           
           
           
    ) %>% 
        pluck("value")
   
   return(value)
    
}
