

if(section == "train"){
    trainSetMethod <- trainSet %>% select(-HY_id) %>% select(TARGET, everything()) %>% 
        # select(TARGET, HY_cod_postal, HY_provincia, HY_tipo, HY_metros_utiles, HY_num_banos, HY_num_terrazas,
        #        HY_ascensor, HY_trastero, HY_num_garajes, HY_precio, contains("GA"))        
        select(TARGET, HY_provincia, HY_tipo, HY_metros_totales, HY_num_banos, HY_num_terrazas,
               HY_ascensor, HY_trastero, HY_num_garajes, HY_precio, contains("GA"), contains("Tiene"))
    trainSetMethod %<>% na.omit() 
    trainSetMethod %<>% filter(GA_page_views!=1) 
    
    
    ctrl <- trainControl(method = "repeatedcv", repeats = 2, verboseIter = T)
    svm <-  train(
        TARGET ~ .,
        data = trainSetMethod,#  %>%  select(TARGET,HY_metros_totales,HY_precio,GA_exit_rate,GA_page_views,GA_quincena_ini),#%>% select_if(is.numeric),
        method = "foba",
        # preProc = c("center", "scale"),
        # tuneLength = 15,
        ## added:
        trControl = ctrl
    )
    
    return(svm)
    
} else if(section == "predict" ){
    testSetMethod <- testSet %>% select(-HY_id) %>% select(TARGET, everything())%>% 
        select(TARGET, HY_provincia, HY_tipo, HY_metros_totales, HY_num_banos, HY_num_terrazas,
               HY_ascensor, HY_trastero, HY_num_garajes, HY_precio, contains("GA"), contains("Tiene"))
    model <- allCVMethodListBaseModels[[cf]]$models_1$splines[[nm]]
    
    predictions <- predict(model, testSetMethod)
    return(predictions)
    
} else if(section == "predict_ooSample"){
    testSetMethod <- testSet %>% select(-HY_id) %>% select(TARGET, everything())%>% 
        select(TARGET, HY_provincia, HY_tipo, HY_metros_totales, HY_num_banos, HY_num_terrazas,
               HY_ascensor, HY_trastero, HY_num_garajes, HY_precio, contains("GA"), contains("Tiene"))
    ctrl <- trainControl(method = "repeatedcv", repeats = 2)
    svm <-  train(
        TARGET ~ .,
        data = trainSetMethod ,# select(TARGET,HY_metros_totales,HY_precio,GA_exit_rate,GA_page_views,GA_quincena_ini),#%>% select_if(is.numeric),
        method = "foba",
        # preProc = c("center", "scale"),
        # tuneLength = 15,
        ## added:
        trControl = ctrl
    )
    
    predictions <- predict(svm, testSetMethod)
    
    
}