vars <- c("TARGET", "HY_provincia", "HY_tipo", "HY_metros_totales", "HY_num_banos", "HY_num_terrazas",
          "HY_ascensor", "HY_trastero", "HY_num_garajes", "HY_precio","N_Quincenas", "DiffPerc_Precio", 
          "Precio_m2","Page_View_Per_Qincena")
if(section == "train"){
    trainSetMethod <- foldMethodList$models_0$baseCraft[[nm]]
    trainSetMethod %<>% select(-contains("IDEA"),-HY_id,-HY_cod_postal) %>% select(TARGET,everything())
    trainSetMethod %<>% na.omit() 
    model <- 1
    
    while(class(model)!="lmrob"){
        model <- tryCatch( lmrob(TARGET~.,data=trainSetMethod, control=lmrob.control(nRes = 50,fast.s.large.n = Inf)),
             error = function(e) {model <- e})
    }
    return(model)
    
} else if(section == "predict"){
    testSetMethod <- foldPredsList$models_0$baseCraft[[nm]]
    testSetMethod <- testSetMethod %>% select(-contains("IDEA"),-HY_id,-HY_cod_postal) %>% select(TARGET,everything())

    model <- allCVMethodListBaseModels[[cf]]$models_1$lms[[nm]]
    
    predictions <- predict(model, testSetMethod %>% select(-TARGET))
    
    return(predictions)
    
}  else if(section == "predict_ooSample"){
    testSetMethod <- ooSamplePredsList$models_0$baseCraft[[nm]]$test
    testSetMethod <- testSetMethod %>% select(-contains("IDEA"),-HY_id) %>% select(TARGET,everything())
    
    trainSetMethod <- ooSamplePredsList$models_0$baseCraft[[nm]]$train
    trainSetMethod <- trainSetMethod %>% select(-contains("IDEA"),-HY_id) %>% select(TARGET,everything()) %>% na.omit()
    trainSetMethodNew <- trainSetMethod %>% sample_frac(1.6,replace=T)
    
    model_svm <- svm(TARGET~.,trainSetMethodNew )
    predictions <- predict(model_svm, testSetMethod %>% select(-TARGET))
    return(predictions)
    
}
